Ireland Credit Bureau
3 min
Verifies input data against Credit Header data obtained from the partnered sources from Ireland.
For Authorization Get Session Token from Authentication page.
Ireland Credit Bureau
* Verification Outcome – Returns KYC verification
* Consumer Consent – N/A
* Mandatory Input – Name
* Verifies – Name, DOB, Gender and Address
* Returned Data - N/A
POST
https://idu-test.datazoo.com/api/v2/verify
Header Parameters
- AuthorizationstringrequiredDescription
Body Parameters
- dataobjectrequiredDescription
- countryCodestringrequiredDescription
- servicearrayrequiredDescription
- clientReferencestringDescription
- firstNamestringrequiredDescription
- lastNamestringrequiredDescription
- genderstringDescription
- dateOfBirthstringDescription
- addressElement1stringDescription
- addressElement3stringDescription
- addressElement5stringDescription
Response
- countryCodestringDescription
- clientReferencestringDescription
- reportingReferencestringDescription
- validationErrorsstringDescription
- matchStatusstringDescription
- searchErrorMessagestringDescription
- safeHarbourbooleanDescription
- searchStatusstringDescription
- serviceResponsesobjectDescription
- statusintegerDescription
- sourceStatusstringDescription
- errorMessagestringDescription
- identityVerifiedbooleanDescription
- safeHarbourScorestringDescription
- nameMatchScorestringDescription
- addressMatchScorestringDescription
- verificationsobjectDescription
- addressElement1boolean
- addressElement3boolean
- addressElement5boolean
- dateOfBirthboolean
- firstNameboolean
- genderboolean
- lastNameboolean
- middleNameboolean
- returnedDataobjectDescription
- remarksarrayDescription
curl
curl --location 'https://idu-test.datazoo.com/api/v2/verify' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJpc3MiOiJ0ZXN0IiwiaWF0IjoxNzQzNDYyNDQ4LCJpcGEiOiIzNC4xNTEuMTE3LjI0OSIsInVpZCI6MzAzLCJvaWQiOjYyLCJsaWQiOjU2NjQ2MTUsImV4cCI6MTc0MzQ5MTI0OCwiYXVkIjoiaHR0cHM6Ly9pZHUuZGF0YXpvby5jb20ifQ.D_mGA78PBG_p_wYy-JcKCy28Rk8CX_U0IADn8DeEL8aSw3cnusbiDefJIqE_j74QcKu0IXNNpE-9SoQUSL8fAg' \
--data '{
"countryCode": "IE",
"service": [
"Ireland Credit Bureau"
],
"clientReference": "Test_0001",
"firstName": "Emanuel",
"lastName": "Engh",
"dateOfBirth": "1949-03-01",
"addressElement1": "1 ASHFIELD,KNOCKAUN COURT, SILVERSPRINGS CLONMEL",
"addressElement3": "CO. TIPPERARY",
"addressElement5":"E32AK24"
}'200
{
"countryCode": "Ireland",
"clientReference": "Test_0001",
"reportingReference": "DZ-25fcc897-5e60-4ec1-892e-eadcbcc6fc05",
"matchStatus": "Full Match 1+1 Verification",
"searchErrorMessage": "",
"safeHarbour": false,
"searchStatus": "Successful",
"serviceResponses": {
"Ireland Credit Bureau": {
"status": 0,
"sourceStatus": "Successful",
"errorMessage": "",
"identityVerified": true,
"safeHarbourScore": "M1",
"nameMatchScore": "1.000",
"addressMatchScore": "1.000",
"verifications": {
"addressElement1": true,
"addressElement3": true,
"addressElement5": true,
"dateOfBirth": true,
"firstName": true,
"lastName": true
},
"returnedData": {}
}
},
"remarks": []
}404
{
"message": "Ain't no cake like that."
}
Links
Change History
Added
Last updated - 1 April, 2025